IEC 61850 User Feedback Task Force - Feature #590

ICT fails to check validity of the SCD file regarding the IED constraints
02/03/2021 02:07 PM - Herbert Falk

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Implementation - improve conformance |Estimated time: 0.00 hour
testing

Target version:

ID: 1800 To discuss in WG10: No

Source: IOP_2019 Short Proposal: Device should reject config rather than
serving part

TF Unique ID: 1800 # IOP_2019 Standard(s): IEC 61850-6

WG10 Proposal: CBL to create a tissue to modify part 6 Needs More Yes

adding a statement about ICT having to | Information:
check the validity of the SCD file
regarding the IED constraints. We will
need a SICS statement to test.

Estimated 20-Oct Assigned TF:
Completion:

Discuss in Upcoming No

Meeting:

Description

Client/server test.

The data model uploaded in the Client from the SCD file (v7) shows 32 Buffered Report CB (brcbA01=>16 and brcbB01=>16). While
trying to enable the BRCB “brcbA12”, we got an error response (object non existent).

In fact, this report brcbA12 doesn'’t exist in the IED. It seems that the SCD, while instancing the RCB, exceeds the IED capabilities :
Extract from ICD file :

<ReportControl name="brcbA" confRev="0" buffered="true" desc="System Logical Device Report Control Block"> (...) <RptEnabled
max="8"/>

Extract from SCD file
<ReportControl name="brcbA" confRev="60000" rptID="L2_PU_GE_P443_Meas" buffered="true" desc="System Logical Device
Report Control Block" (...) <RptEnabled max="16">

Proposal descriptions
Editor of Part 6 to create related TISSUE.

Related issues:
Related to IEC 61850 User Feedback Task Force - Feature #591: A reservation c... Closed

History

#1 - 02/11/2021 06:56 AM - Vladan Cvejic

- Subject changed from Client/server test.
The data model uploaded in the Client from the SCD file (v7) shows 32 Buffered Report CB (brcbA01=>16 and br to ICT fails to check validity of the
SCD file regarding the IED constraints

- Status changed from New to In Progress
- Standard(s) changed from 6 to IEC 61850-6

- Discuss in Upcoming Meeting set to No

Checking done.

#2 - 06/21/2022 09:30 AM - Carlos Rodriguez del Castillo

- Discuss in Upcoming Meeting changed from No to Yes
#3 - 07/05/2022 08:30 AM - Vladan Cvejic
- Discuss in Upcoming Meeting changed from Yes to No
- Proposal descriptions updated

- To discuss in WG10 set to No

#4 - 07/05/2022 08:33 AM - Vladan Cvejic

- Related to Feature #591: A reservation could not be made via SCL for an IED’s report due to the lack of a ConnectedAP associated with the client’s

AP added

#5 - 11/07/2023 03:51 AM - Vladan Cvejic
- Discuss in Upcoming Meeting changed from No to Yes

- Needs More Information set to Yes

#6 - 11/07/2023 06:24 AM - Camille Bloch

Tissue created : https://iec61850.tissue-db.com/tissue/1893

#7 - 11/07/2023 06:44 AM - Camille Bloch
- File tissue 1893 _V1.docx added

#8 - 11/07/2023 08:20 AM - Vladan Cvejic
- Status changed from In Progress to Resolved

- Discuss in Upcoming Meeting changed from Yes to No

#9 - 11/07/2023 08:22 AM - Camille Bloch
- File deleted (tissue 1893_V1.docx)

#10 - 11/07/2023 08:22 AM - Camille Bloch
- File tissue 1893 _V2.docx added

Files
tissue 1893_V2.docx 29.2 KB 11/07/2023 Camille Bloch
